%define build_nfsv4 1
%define build_wrap 1
%define subrel 1

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_without_nfsv4:	%global build_nfsv4 0}
%{?_with_nfsv4:		%global build_nfsv4 1}
%{?_without_wrap:	%global build_wrap 0}
%{?_with_wrap:		%global build_wrap 1}

Name:		nfs-utils
Epoch:		1
Version:	1.0.12
Release:	%mkrel 13
Summary:	The utilities for Linux NFS server
Group:		Networking/Other
License:	GPL
URL:		http://sourceforge.net/projects/nfs/
Source0:	http://prdownloads.sourceforge.net/nfs/%{name}-%{version}.tar.gz
Source1:	ftp://nfs.sourceforge.net/pub/nfs/nfs.doc.tar.bz2
Source2:	nfs.init
Source3:	nfs.sysconfig
Source4:	nfslock.init
Source5:	nfsv4.schema
Source6:	rpcgssd.init
Source7:	rpcidmapd.init
Source8:	rpcsvcgssd.init
Source9:	gssapi_mech.conf
Source10:	idmapd.conf
Patch1:		eepro-support.patch
# for NFSv4
Patch203: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-003-mount_non-nfs_options.dif
Patch204: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-004-mount_fix_umount.dif
Patch205: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-005-mount_sloppy.dif
Patch206: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-006-mount_fix_exit_status.dif
Patch207: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-007-mount_auth_none.dif
Patch208: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-008-mount_fix_remount.dif
Patch209: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-009-mount_fix_tcp_on_alpha.dif
Patch210: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-010-mount_fix_for_multi_home_servers.dif
Patch211: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-011-mount_stop_v4_umounts_pinging_remote_mountd.dif
Patch212: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-012-mount_fix_comma_collision.dif
Patch213: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-013-mount_fix_installation_location.dif
Patch214: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-014-gssd_pipefsdir_pipefs_nfsdir.dif
Patch215: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-015-libnfs_add_secinfo_processing.dif
Patch216 http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-016-gssd_use_kernel_supported_enctypes.dif
Patch217: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-017-gssd_handle_cfx_context.dif
Patch218: http://www.citi.umich.edu/projects/nfsv4/linux/nfs-utils-patches/1.0.11-1/nfs-utils-1.0.11-018-automake_configure_catchall.dif

Patch3:		nfs-utils-1.0.7-binary-or-shlib-defines-rpath.diff
# (oe) boldly stolen from gentoo
Patch40:	nfs-utils-1.0.7-gcc4.patch
#
# Local Patches (FC)
#
Patch50:	nfs-utils-1.0.5-statdpath.patch
Patch51:	nfs-utils-1.0.6-mountd.patch
Patch52:	nfs-utils-1.0.6-idmap.conf.patch
Patch54:	nfs-utils-1.0.7-mountd-stat64.patch
Patch100:	nfs-utils-1.0.8-compile.diff
Patch150:	nfs-utils-1.0.6-pie.patch
Patch151:	nfs-utils-1.0.7-strip.patch
Requires:	nfs-utils-clients
Requires:	portmap >= 4.0
# needed because of /etc/exports transfer
Conflicts:	setup < 2.7.8
Conflicts:	clusternfs
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:	pkgconfig
BuildRequires:	libtool
%if %{build_nfsv4}
Requires:	    kernel >= 2.6.0
BuildRequires:	krb5-devel >= 1.3
BuildRequires:	libevent-devel
BuildRequires:	nfsidmap-devel >= 0.16
BuildRequires:	gssapi-devel >= 0.9
BuildRequires:	rpcsecgss-devel >= 0.12
%endif
%if %{build_wrap}
Requires:	    tcp_wrappers
BuildRequires:	tcp_wrappers-devel
%endif
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
The nfs-utils package provides a daemon for the kernel NFS server
and related tools, which provides a much higher level of
performance than the traditional Linux NFS server used by most
users.

This package also contains the showmount program. Showmount
queries the mount daemon on a remote host for information about
the NFS (Network File System) server on the remote host. For
example, showmount can display the clients which are mounted on
that host.

The following are valid build options.

(ie. use with rpm --rebuild):

    --without nfsv4	Build with NFS protocol v4 support
    --without wrap	Build with tcp_wrappers support

%package	clients
Summary:	The utilities for Linux NFS client
Group:		Networking/Other
Requires:	portmap >= 4.0
%if %{build_nfsv4}
Requires:	kernel >= 2.6.0
# needed because of service scripts transfer
Conflicts:  nfs-utils <= 1:1.0.12-2mdv2007.1
%endif
Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper

%description	clients
The nfs-utils package provides a daemon for the kernel NFS server
and related tools, which provides a much higher level of
performance than the traditional Linux NFS server used by most
users.

This package also contains the showmount program. Showmount
queries the mount daemon on a remote host for information about
the NFS (Network File System) server on the remote host. For
example, showmount can display the clients which are mounted on
that host.

%prep
%setup -q -a1 -n %{name}-%{version}

mkdir -p Mandriva
cp %{SOURCE2} Mandriva/nfs.init
cp %{SOURCE3} Mandriva/nfs.sysconfig
cp %{SOURCE4} Mandriva/nfslock.init
cp %{SOURCE5} Mandriva/nfsv4.schema
cp %{SOURCE6} Mandriva/rpcgssd.init
cp %{SOURCE7} Mandriva/rpcidmapd.init
cp %{SOURCE8} Mandriva/rpcsvcgssd.init
cp %{SOURCE9} Mandriva/gssapi_mech.conf
cp %{SOURCE10} Mandriva/idmapd.conf

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%patch1 -p1 -b .eepro-support
%if %{build_nfsv4}
%patch203 -p1 -b .nfsv4
%patch204 -p1 -b .nfsv4
%patch205 -p1 -b .nfsv4
%patch206 -p1 -b .nfsv4
%patch207 -p1 -b .nfsv4
%patch208 -p1 -b .nfsv4
%patch209 -p1 -b .nfsv4
%patch210 -p1 -b .nfsv4
%patch211 -p1 -b .nfsv4
%patch212 -p1 -b .nfsv4
%patch213 -p1 -b .nfsv4
%patch214 -p1 -b .nfsv4
%patch215 -p1 -b .nfsv4
%patch216 -p1 -b .nfsv4
%patch217 -p1 -b .nfsv4
%patch218 -p1 -b .nfsv4
%endif
#patch3 -p1 -b .binary-or-shlib-defines-rpath

# (oe) boldly stolen from gentoo
#patch40 -p1 -b .gcc4

%patch50 -p1 -b .statdpath
%patch51 -p1 -b .mountd
%patch52 -p1 -b .conf
%patch54 -p1 -b .stat64

# Do the magic to get things to compile (FC)
%patch100 -p1 -b .compile
#patch150 -p1 -b .pie
#patch151 -p1 -b .strip

# lib64 fixes
perl -pi -e "s|/usr/lib|%{_libdir}|g" Mandriva/*
perl -pi -e "s|\\$dir/lib/|\\$dir/%{_lib}/|g" configure

%if ! %{build_wrap}
# nuke tcp_wrappers
find . -type f | xargs perl -pi -e "s|\-DHAVE_TCP_WRAPPER||g"
find . -type f | xargs perl -pi -e "s|\-lwrap||g"
%endif
	
%build
sh autogen.sh
%configure2_5x \
    --with-statedir=%{_localstatedir}/nfs \
    --with-statduser=rpcuser \
    --enable-nfsv3 \
%if %{build_nfsv4}
    --enable-nfsv4 \
    --enable-gss \
    --enable-secure-statd \
    --with-krb5=%{_prefix} \
%else
    --disable-nfsv4 \
    --disable-gss \
    --disable-secure-statd \
    --without-krb5 \
%endif
    --disable-rquotad

make all

%install
rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}{/sbin,/usr/sbin}
install -d %{buildroot}%{_mandir}/{man5,man8}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_localstatedir}/nfs/statd
install -d %{buildroot}%{_localstatedir}/nfs/v4recovery

%make \
	DESTDIR=%{buildroot} \
	MANDIR=%{buildroot}%{_mandir} \
	SBINDIR=%{buildroot}%{_prefix}/sbin \
	install

install -m0755 tools/rpcdebug/rpcdebug %{buildroot}/sbin/
ln -snf rpcdebug %{buildroot}/sbin/nfsdebug
ln -snf rpcdebug %{buildroot}/sbin/nfsddebug

install -m0755 Mandriva/nfs.init %{buildroot}%{_initrddir}/nfs
install -m0755 Mandriva/nfslock.init %{buildroot}%{_initrddir}/nfslock
install -m0644 Mandriva/nfs.sysconfig %{buildroot}/etc/sysconfig/nfs

touch %{buildroot}%{_localstatedir}/nfs/rmtab
mv %{buildroot}%{_sbindir}/{rpc.lockd,rpc.statd} %{buildroot}/sbin/

%if %{build_nfsv4}
install -m0755 Mandriva/rpcidmapd.init %{buildroot}%{_initrddir}/rpcidmapd
install -m0755 Mandriva/rpcgssd.init %{buildroot}%{_initrddir}/rpcgssd
install -m0755 Mandriva/rpcsvcgssd.init %{buildroot}%{_initrddir}/rpcsvcgssd
install -m0644 Mandriva/idmapd.conf %{buildroot}%{_sysconfdir}/idmapd.conf
install -m0644 Mandriva/gssapi_mech.conf %{buildroot}%{_sysconfdir}/gssapi_mech.conf
install -d %{buildroot}%{_localstatedir}/nfs/rpc_pipefs
%endif

# nuke dupes
rm -f %{buildroot}%{_sbindir}/rpcdebug

cat >%{buildroot}%{_sysconfdir}/exports <<EOF
# /etc/exports: the access control list for filesystems which may be exported
#               to NFS clients.  See exports(5).
EOF

cat > README.urpmi << EOF
NFS4 support
------------
This package supports NFS4. In order to use it on server side, you need to set
USE_NFS4 and optionally SECURE_NFS in /etc/sysconfig/nfs file, so as to have
the nfs service handle everything automatically. On client side, you need to
launch rpc.idmapd and optionally rpc.rpcgssd services manually.
EOF

%post
%_post_service nfs
%if %{build_nfsv4}
%_post_service rpcsvcgssd
%endif

%create_ghostfile %{_localstatedir}/nfs/xtab root root 644
%create_ghostfile %{_localstatedir}/nfs/etab root root 644
%create_ghostfile %{_localstatedir}/nfs/rmtab root root 644

%preun
%_preun_service nfs
%if %{build_nfsv4}
%_preun_service rpcsvcgssd
%endif

%pre clients
%_pre_useradd rpcuser %{_localstatedir}/nfs /bin/false

%post clients
%_post_service nfslock 
%if %{build_nfsv4}
%_post_service rpcidmapd
%_post_service rpcgssd
%endif

%preun clients
%_preun_service nfslock
%if %{build_nfsv4}
%_preun_service rpcidmapd
%_preun_service rpcgssd
%endif

%postun clients
%_postun_userdel rpcuser

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING README.urpmi
%doc nfs/*.html nfs/*.ps linux-nfs
%{_initrddir}/nfs
%config(noreplace) %ghost %{_localstatedir}/nfs/xtab
%config(noreplace) %ghost %{_localstatedir}/nfs/etab
%config(noreplace) %ghost %{_localstatedir}/nfs/rmtab
%config(noreplace) %{_sysconfdir}/exports
/sbin/rpcdebug
/sbin/nfsdebug
/sbin/nfsddebug
%{_sbindir}/exportfs
%{_sbindir}/nfsstat
%{_sbindir}/rpc.mountd
%{_sbindir}/rpc.nfsd
%{_mandir}/man5/exports.5*
%{_mandir}/man7/nfsd.7*
%{_mandir}/man8/exportfs.8*
%{_mandir}/man8/mountd.8*
%{_mandir}/man8/nfsd.8*
%{_mandir}/man8/nfsstat.8*
%{_mandir}/man8/rpc.mountd.8*
%{_mandir}/man8/rpc.nfsd.8*
%if %{build_nfsv4}
%doc Mandriva/nfsv4.schema
%{_initrddir}/rpcsvcgssd
%{_sbindir}/rpc.svcgssd
%{_mandir}/man8/rpc.svcgssd.8*
%{_mandir}/man8/svcgssd.8*
%{_mandir}/man8/rpcdebug.8*
%endif

%files clients
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/sysconfig/nfs
%{_initrddir}/nfslock
/sbin/rpc.lockd
/sbin/rpc.statd
%{_sbindir}/showmount
%{_mandir}/man8/lockd.8*
%{_mandir}/man8/rpc.lockd.8*
%{_mandir}/man8/rpc.statd.8*
%{_mandir}/man8/statd.8*
%{_mandir}/man8/showmount.8*
%dir %{_localstatedir}/nfs
%dir %{_localstatedir}/nfs/v4recovery
%dir %{_localstatedir}/nfs/state
%dir %attr(0700,rpcuser,rpcuser) %{_localstatedir}/nfs/statd
%if %{build_nfsv4}
%config(noreplace) %{_sysconfdir}/idmapd.conf
%config(noreplace) %{_sysconfdir}/gssapi_mech.conf
%dir %{_localstatedir}/nfs/rpc_pipefs
%{_sbindir}/rpc.idmapd
%{_sbindir}/rpc.gssd
%{_sbindir}/gss_clnt_send_err
%{_sbindir}/gss_destroy_creds
%{_initrddir}/rpcidmapd
%{_initrddir}/rpcgssd
%{_mandir}/man5/idmapd.conf.5*
%{_mandir}/man8/rpc.gssd.8*
%{_mandir}/man8/rpc.idmapd.8*
%{_mandir}/man8/gssd.8*
%{_mandir}/man8/idmapd.8*
%endif




%changelog
* Mon Sep 24 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.12-13.1mdv2007.1
+ Revision: 92686
- fix release tag for security updates
- make the nfs4 init script more robust

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.12-13mdv2007.1
+ Revision: 147007
- yet another client-side file issue

* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-12mdv2007.1
+ Revision: 146967
- fix more typos in init script reload() function

* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-11mdv2007.1
+ Revision: 146877
- move %%{_localstatedir}/nfs/rpc_pipefs on client side, as it is needed by rpc.idmapd

* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 1:1.0.12-10mdv2007.1
+ Revision: 146584
- /etc/exports upgrade is now safely handled in package setup

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix typo

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 1:1.0.12-9mdv2007.1
+ Revision: 144426
- fix typos in lock file paths

* Wed Mar 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-8mdv2007.1
+ Revision: 143407
- drop merged nfs4 patches
- additional notes about upgrade in README.urpmi
- minor spec cleanup
- don't check keytab in rpcsvcgssd service, because it would force a dependecy on krb5-workstation package
- renumber nfs4 patches as upstream, to make tracking easier
- use versioned conflicts, rather than versioned requires, to handle relationship with setup and server-clients packages

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-7mdv2007.1
+ Revision: 138954
- set a versioned requires on nfs-utils-client, to avoid conflicts on services script during upgrade (thx tv)
  cleanup old conflicts and dependencies

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-6mdv2007.1
+ Revision: 138786
- fix %%post/%%pre, as some services have been moved between client and server package
- mv /etc/exports from setup to this package
- move more nfs4 clients files to clients subpackage
- clean up all init scripts:
- remove useless tests on binary presence
- use consistant syntax and indentation
- use functions to avoid useless forks
- replace non-standard 'condstart' actions by 'reload'
- use lock files to prevent double start
- make nfs4 init scripts really use variables defined in /etc/sysconfig/nfs
- make nfs4 init scripts not depending on SECURE_NFS variable,
  they are supposed to be used on client side only
- make nfs service really fails if /etc/exports is missing
- change nfs service to handle nfs4 services if configured to do so
- change nfs service to launch nfsd after mountd

* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-5mdv2007.1
+ Revision: 138345
- really revert my changes in init script, not just in my working directory...

* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-4mdv2007.1
+ Revision: 137845
- mv /etc/sysconfig/nfs in client subpackage
- use functions to avoid forking new process uselessly for restart
  use global variables for lockfile location
- various cleanups:
- constant indentation
- set default values before sourcing configuration
- drop useless tests
- don't manage activation dependencies in init script, that's chkconfig task

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-3mdv2007.1
+ Revision: 134577
- no need to specify perms in file section if they are already correct
- rpcidmapd and rpcgssd are client tools

* Thu Mar 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-2mdv2007.1
+ Revision: 130570
- no reason for a mandatory dependency on kerberos tools just because it is supported

* Tue Feb 27 2007 Olivier Thauvin <nanardon@mandriva.org> 1:1.0.12-1mdv2007.1
+ Revision: 126372
- reapply patch for nfsv4, clean up the old one
- 1.0.12

* Mon Jan 22 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.0.10-2mdv2007.1
+ Revision: 111853
- rebuilt with new librpcsecgss (soname 3)
- added latest CITI patch for nfs-utils

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.0.10-1mdv2007.1
+ Revision: 86807
- updated to version 1.0.10

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-4mdv2007.1
+ Revision: 63384
- bunzip sources
- Import nfs-utils

* Fri Sep 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-3mdv2007.0
- don't use the kerberos releated parts per default (#25704), it also 
  eliminates failure ([FAIL]) on the support services when rebooting.
  added a README.urpmi file that mentions this.

* Thu Sep 14 2006 Olivier Blin <blino@mandriva.com> 1.0.9-2mdv2007.0
- make the nfs service return nfsd status (#23442)

* Sun Jul 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-1mdv2007.0
- 1.0.9
- drop upstream patches; P55,P152

* Thu Jun 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-4mdv2007.0
- fix #19059 in S4

* Fri Jun 09 2006 Vincent Guardiola <vguardiola@mandriva.com> 1:1.0.8-3mdv2007.0
- add patch nfs-utils-1.0.8-err_util.patch (Andreas Hasenack)
- sec=krb5 works now

* Thu Jun 08 2006 Vincent Guardiola <vguardiola@mandriva.com> 1:1.0.8-2mdv2007.0
- Fix rpc.mountd start in initscript (Bug 22979)

* Wed Jun 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-1mdv2007.0
- 1.0.8
- drop upstream patches; P53,P56
- rediffed P100
- enable NFSV4 and tcp_wrappers per default
- fix deps
- don't start rpcsvcgssd if nfs is not setup in kerberos (Andreas Hasenack)

* Sat Feb 04 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.8-0.rc2.4mdk
- remove spurious "Shutting down NFS mountd: " message
  in nfs service status (Source2)

* Tue Jan 31 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.0.8-0.rc2.3mdk
- Ada /var/lib/nfs/v4recovery directory to nfs-utils-clients package

* Fri Jan 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-0.rc2.2mdk
- fix deps

* Sat Jan 14 2006 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-0.rc2.1mdk
- 1.0.8-rc2
- sync fedora patches (1.0.8-1)
- drop patch 0
- drop patch 2, replaced by patch 100
- drop patch 10-16, 20-27
- disable patch 40, 150, 151

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.0.7-10mdk
- fix typo in initscripts

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.7-9mdk
- convert parallel init to LSB (Sources 2, 4, 6, 7, 8, ouch)
- split Requires(X,Y)

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.7-8mdk
- parallel init support

* Tue Dec 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.7-7mdk
- Remove patch200 (CAN-2004-1014) merged in post6 (patch16)
- Remove patch201 (CAN-2004-0946) merged in post5 (patch15)
- sync patches with 1.0.7-19.FC5

* Wed Aug 24 2005 Stew Benedict <sbenedict@mandriva.com> 1:1.0.7-6mdk
- conflicts with clusternfs

* Sun May 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-5mdk
- use separate sources for initscripts and such (for cvs tracking)
- synced with fedora (P25)
- added P26,P27,P27 from fedora
- added one gcc4 patch (P50, gentoo)
- use the %%mkrel macro
- use new rpm-4.4.x pre,post magic

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.0.7-4mdk
- synced sysv scripting with fedora and added P20-P25 (nfs-utils-1.0.7-1)
- misc rpmlint fixes

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-3mdk
- make sure portmap is running (nfs)

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-2mdk
- fix deps
- make sure portmap is running (nfslock)

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7 
- rediffed the CAN-2004-1014 patch (P200, parts of it was applied)
- merge nfs4-utils-1.0.6-3mdk into this package but use --with
  build options instead
- drop obsolete patches and reorder them
- added P3
- added P200 (CAN-2004-0946, even though we don't build rpcquotad
  apply the patch anyway)
- fix deps

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-3mdk
- merged with 1.0.6-2.1.101mdk

* Wed Sep 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-2mdk
- spec file cleanup

